The branch main has been updated by emaste:

URL: 
https://cgit.FreeBSD.org/src/commit/?id=77013d11e6483b970af25e13c9b892075742f7e5

commit 77013d11e6483b970af25e13c9b892075742f7e5
Author:     Ed Maste <ema...@freebsd.org>
AuthorDate: 2021-06-02 17:08:29 +0000
Commit:     Ed Maste <ema...@freebsd.org>
CommitDate: 2021-08-04 19:02:00 +0000

    Cirrus-CI: add some timing info on pkg install failure
    
    Sponsored by:   The FreeBSD Foundation
---
 .cirrus-ci/pkg-install.sh | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/.cirrus-ci/pkg-install.sh b/.cirrus-ci/pkg-install.sh
index ef83e5284078..bcb781191023 100644
--- a/.cirrus-ci/pkg-install.sh
+++ b/.cirrus-ci/pkg-install.sh
@@ -1,10 +1,11 @@
 #!/bin/sh
 set -e
 
+start_time=$(date +%s)
 pkg install -y "$@" && exit 0
 
 cat <<EOF
-pkg install failed
+pkg install failed after $(($(date +%s) - $start_time))s
 
 dmesg tail:
 $(dmesg | tail)
@@ -12,4 +13,10 @@ $(dmesg | tail)
 trying again
 EOF
 
-pkg install -y "$@"
+start_time=$(date +%s)
+pkg install -y "$@" && exit 0
+
+cat <<EOF
+second pkg install failed after $(($(date +%s) - $start_time))s
+EOF
+exit 1
_______________________________________________
dev-commits-src-all@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/dev-commits-src-all
To unsubscribe, send any mail to "dev-commits-src-all-unsubscr...@freebsd.org"

Reply via email to